Bug 183888 - (perl-Crypt-RSA) Review Request: perl-Crypt-RSA
Review Request: perl-Crypt-RSA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 183889
Blocks: FE-ACCEPT perl-Net-SSH-Perl
  Show dependency treegraph
 
Reported: 2006-03-03 08:33 EST by Paul Howarth
Modified: 2009-03-12 23:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 06:18:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-03-03 08:33:49 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-RSA/perl-Crypt-RSA.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-RSA/perl-Crypt-RSA-1.57-1.src.rpm
Description:

Crypt::RSA is a pure-perl, cleanroom implementation of the RSA public-key
cryptosystem. It uses Math::Pari(3), a perl interface to the blazingly fast
PARI library, for big integer arithmetic and number theoretic computations.

Crypt::RSA provides arbitrary size key-pair generation, plaintext-aware
encryption (OAEP) and digital signatures with appendix (PSS). For compatibility
with SSLv3, RSAREF2, PGP and other applications that follow the PKCS #1 v1.5
standard, it also provides PKCS #1 v1.5 encryption and signatures.
Comment 1 Jason Tibbitts 2006-04-13 10:34:38 EDT
I'm keeping a local repo with the dependency chain in it so that I can do
reviews of these; I can't see anything that would keep Math::Pari from being
approved so I'm just working on the assumption that it will eventually make its
way into Extras.

Issues:
W: perl-Crypt-RSA file-not-utf8 /usr/share/man/man3/Crypt::RSA.3pm.gz

This is due to a single accented 'e' in the POD.  "iconv -f iso-8859-1 -t utf-8"
should fix it up.

Artistic license is included, but not GPL.  Not a blocker, but upstream should
probably be whacked.

I'm not sure what to do with the two files in extradocs.  One of them is
referenced from the main manpage, but it also references an interoperability
table which doesn't seem to be included.

Otherwise it looks clean.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   3fd02d3d9e398e26848a0d49bd3b8ccd  Crypt-RSA-1.57.tar.gz
   3fd02d3d9e398e26848a0d49bd3b8ccd  Crypt-RSA-1.57.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
X rpmlint complains of non-utf8 documentation; see above.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Paul Howarth 2006-04-18 10:46:17 EDT
(In reply to comment #1)
> Issues:
> W: perl-Crypt-RSA file-not-utf8 /usr/share/man/man3/Crypt::RSA.3pm.gz
> 
> This is due to a single accented 'e' in the POD.  "iconv -f iso-8859-1 -t utf-8"
> should fix it up.

Done in -2

> Artistic license is included, but not GPL.  Not a blocker, but upstream should
> probably be whacked.

http://rt.cpan.org/Public/Bug/Display.html?id=18771

> I'm not sure what to do with the two files in extradocs.  One of them is
> referenced from the main manpage, but it also references an interoperability
> table which doesn't seem to be included.

One of the files *is* the aforementioned table. Not a lot in it really.
I've converted both files to manpages using pod2man and installed them in the
places you'd look for them if following the link from the main manpage.

Revised spec:
http://www.city-fan.org/~paul/extras/perl-Crypt-RSA/perl-Crypt-RSA.spec

Revised SRPM:
http://www.city-fan.org/~paul/extras/perl-Crypt-RSA/perl-Crypt-RSA-1.57-2.src.rpm
Comment 3 Jason Tibbitts 2006-04-18 21:16:55 EDT
Builds cleanly and rpmlint is placated. Everything else looks good.

APPROVED.
Comment 4 Paul Howarth 2006-04-19 06:18:17 EDT
Thanks for the review.

 7877 (perl-Crypt-RSA): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/7877-perl-Crypt-RSA-1.57-2.fc6/

FC-4 and FC-5 branches requested.
Comment 5 Paul Howarth 2009-03-11 06:53:41 EDT
Package Change Request
======================
Package Name: perl-Crypt-RSA
New Branches: EL-4 EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2009-03-12 23:11:08 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.